	program v3
	integer, parameter :: nproc0 = 4
	integer, parameter :: N = 16
	integer, dimension(N) :: ia
 	integer :: i,j,k

	integer , dimension(N) :: a, b
	integer :: c,d
C       Block decomposition, test neighborhood communication

C$	DECOMPOSITION dd(16)
C$      DISTRIBUTE dd(BLOCK)
C$      align a with dd
C$      align b with dd

C        a=[1:N]
        forall(i=1:N)
     &    a(i) = i

        forall (i = 1 : N-1)  b(i) = a(i+1)

C	print *,'b=', b        
        do i=1, N/nproc0
        call kmulti(6)
        write(6,*) 'a(',i,')','=', a(i), '||', 'b(',i,')','=', b(i)
        call kflush(6)
        end do

	stop
	end
